Must Reads

Rogers Warns Customers on Vista

Several people have written to note that Rogers is warning customers about incompatiblities between Microsoft Vista and Rogers Yahoo Online Protection 2.0.  The company is advising customers to uninstall the security protection when upgrading to Vista. Further, Rogers acknowledges that there are security risks because of the incompatibilities.

One Comment

  1. Rogers Yahoo webmail blocks users of the Linux operating system. You can use IE or Firefox on Windows or Safari on a Mac…but Firefox on Linux? Not allowed!

    If you use Yahoo webmail there is no problem at all…only on the “co-branded” Rogers Yahoo webmail. Rogers sux.